"use strict";

var UtilIncludeRuleSet = require('../../shared/utils/UtilIncludeRuleSet');
const ruleService = require('../database/dataServices/RuleService');

module.exports = {
    getIncludeNames: UtilIncludeRuleSet.getIncludeNames,
    getDuplicateIncludes: UtilIncludeRuleSet.getDuplicateIncludes,
    loadIncludeDocs: function(includeNames, userId, callback) {
        ruleService.getIncludeDocs(userId, includeNames).then(
            function successFunc(docs) {
                callback(docs);
            },
            function errorFunc(err) {
                logger.error(err);
                callback();
            }
        );

    }
};